package com.njcn.pojo.data;

import java.text.SimpleDateFormat;
import java.util.Date;

public class FunctionPloyEntity {
    private String id;
    private String roleName;
    private String roleId;
    private String name;
    private String des = "";
    private Date dateUpdateTime;
    private String updateTime;

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public Date getDateUpdateTime() {
        return dateUpdateTime;
    }

    public void setDateUpdateTime(Date dateUpdateTime) {
        this.dateUpdateTime = dateUpdateTime;
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        this.updateTime = sdf.format(dateUpdateTime);
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
